curl --request POST \
--url https://api.crustdata.com/dataset/social_post/search/autocomplete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"filter_type": "industry",
"query": "tech",
"count": 5
}
'{
"results": [
"Technology, Information and Internet",
"IT Services and IT Consulting",
"Biotechnology Research",
"Information Technology & Services",
"Computer Hardware Manufacturing"
]
}Return autocomplete suggestions for social post search filter fields such as industry, region, title, or school. Use the suggestions to build filter values for the search endpoint.
curl --request POST \
--url https://api.crustdata.com/dataset/social_post/search/autocomplete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"filter_type": "industry",
"query": "tech",
"count": 5
}
'{
"results": [
"Technology, Information and Internet",
"IT Services and IT Consulting",
"Biotechnology Research",
"Information Technology & Services",
"Computer Hardware Manufacturing"
]
}Bearer token authentication. Pass your API key as Authorization: Bearer <your_api_key>.
API version to use for request routing and response shape.
2025-11-01 The filter field to autocomplete and a partial query string.
Request payload for /dataset/social_post/search/autocomplete. Returns suggestions for a given filter field based on a partial query string.
The filter field to get autocomplete suggestions for.
industry, region, title, school "industry"
Partial text to search for in the filter field values.
"tech"
Maximum number of suggestions to return.
1 <= x <= 1005
Pagination offset for paging through suggestions.
0
Autocomplete suggestions matching the query
Autocomplete suggestions returned for a filter field query.
Matching suggestion strings for the queried filter field.
[
"Technology, Information and Internet",
"IT Services and IT Consulting",
"Biotechnology Research"
]Was this page helpful?